<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Wonderland-Modular</name>
    </assembly>
    <members>
        <member name="T:EODE.Wonderland.ModuleBehaviour">
            <summary>
            Base helper class for modules
            </summary>
        </member>
        <member name="P:EODE.Wonderland.IModule.Owner">
            <summary>
            Modular object that owns this module
            Set before Initalize is called
            </summary>
        </member>
        <member name="M:EODE.Wonderland.IModule.InitModule">
            <summary>
            Is called when the dependencies are initialized
            At this point, the Owner variable is set
            </summary>
        </member>
        <member name="M:EODE.Wonderland.IModule.ShutdownModule(System.Boolean)">
            <summary>
            Shuts down the module
            </summary>
        </member>
        <member name="T:EODE.Wonderland.ModularBehaviour">
            <summary>
            Detects modules in self/children and initializes them in the right order
            </summary>
        </member>
        <member name="F:EODE.Wonderland.ModularBehaviour._modules">
            <summary>
            Detected modules
            </summary>
        </member>
        <member name="F:EODE.Wonderland.ModularBehaviour._initializedModules">
            <summary>
            Initialized modules
            </summary>
        </member>
        <member name="F:EODE.Wonderland.ModularBehaviour._modulesByInitOrder">
            <summary>
            Modules by their init order
            </summary>
        </member>
    </members>
</doc>
